/*
 * Fabric3
 * Copyright  2008 Metaform Systems Limited
 *
 * This proprietary software may be used only connection with the Fabric3 license
 * (the License), a copy of which is included in the software or may be
 * obtained at: http://www.metaformsystems.com/licenses/license.html.

 * Software distributed under the License is distributed on an as is basis,
 * without warranties or conditions of any kind.  See the License for the
 * specific language governing permissions and limitations of use of the software.
 * This software is distributed in conjunction with other software licensed under
 * different terms.  See the separate licenses for those programs included in the
 * distribution for the permitted and restricted uses of such software.
 *
 */
package org.fabric3.management.contribution;

import java.io.Serializable;
import java.net.URI;
import java.util.List;
import javax.xml.namespace.QName;

/**
 * Encapsulates information about a contribution for a management client.
 *
 * @version $Revision$ $Date$
 */
public class ContributionInfo implements Serializable, Comparable<ContributionInfo> {
    private static final long serialVersionUID = -7848414989706207915L;
    private URI uri;
    private String state;
    private long timestamp;
    private List<QName> deployables;

    public ContributionInfo(URI uri, String state, List<QName> deployables, long timestamp) {
        this.uri = uri;
        this.state = state;
        this.deployables = deployables;
        this.timestamp = timestamp;
    }

    public URI getUri() {
        return uri;
    }

    public String getState() {
        return state;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public List<QName> getDeployables() {
        return deployables;
    }

    public int compareTo(ContributionInfo o) {
        return uri.toString().compareTo(o.uri.toString());
    }
}
